---
id: 'introduction'
title: 'Introduction'
---

Storybook is a user interface development environment and playground for UI components.
The tool enables developers to create components independently and showcase components interactively in an isolated development environment.

Storybook runs outside of the main app so users can develop UI components in isolation without worrying about app specific dependencies and requirements.

![Storybook](../static/screenshot.png)

Storybook also supports a lot of [addons](/addons/introduction) and comes with a flexible API to customize Storybook as desired.
A [Static version](/basics/exporting-storybook) of Storybook can also be built and deployed to an HTTP server.

Here are some featured Storybooks to see how it works:

- [Demo of React Dates](http://airbnb.io/react-dates/) - [source](https://github.com/airbnb/react-dates)
- [Demo of React Native Web](https://necolas.github.io/react-native-web/docs/) - [source](https://github.com/necolas/react-native-web)

Read the Learn Storybook [tutorial](https://www.learnstorybook.com) for a step-by-step guide to building an app with Storybook and to see how building components in isolation can supercharge your app development workflow.
